<mat-card-title>Register</mat-card-title>


<form (ngSubmit)="register()">
    <p *ngIf="userExists" style="color: red">
        Email is already taken.
    </p>
    <mat-form-field class="full-width">
        <input type="text" matInput [(ngModel)]="user.email" name="username" placeholder="Username" (focusout)="checkEmail()" />
    </mat-form-field>
    <mat-form-field class="full-width">
        <input type="password" matInput [(ngModel)]="user.password" name="password" placeholder="Password" />
    </mat-form-field>
    <mat-form-field class="full-width" >
        <input type="password" matInput [(ngModel)]="confirm" name="confirm" placeholder="Confirm Password" />
    </mat-form-field>
    <button mat-raised-button color="primary" [disabled]="userExists">Register</button>
</form>